Skip to content

PayCalc⁠

Perform various operations for Symitar parameters.

Operations⁠

searchPayCalcPagedSelectFields⁠

POST

Search PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchPayCalcPagedSelectFields
POST /nexum/627/2022.01/parameter/searchPayCalcPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "IncludeAllPayCalcFields": true
  }
}

updatePayCalcByID⁠

POST

Update PayCalc parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PayCalcPaymentCalculationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updatePayCalcByID
POST /nexum/627/2022.01/parameter/updatePayCalcByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PayCalcPaymentCalculationType": 0,
  "PayCalcUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}